
Download latest version: 
https://robomongo.org/download

Robo 3T 1.4.4 (Aug/2021)
  New Features:
  - Support for Standard Connection String Format (Mongo URI)
  Fixes:
  - Fix Welcome Tab not loading the new content issue by disable/bypass HTTP cache

Robo 3T 1.4.3 (Jan/2021)
  New Features:
  - macOS Big Sur support 
  - New Welcome Tab - embeds Chromium using QtWebEngine (Windows, macOS only)
  - Database explorer section has smaller default width (#1556)
  - Remember size of database explorer section
  - Import keys from old version: autoExpand, lineNumbers, debugMode and shellTimeoutSec

  Fixes:
  - Disable unsupported SSH tab for replica set connections (#1285 #1340)
  - Fix crash when new shell tab executed in server unreachable case
  - Fix crash when paging used in tabbed result window (#1661)
  - Fix broken F2, F3, F4 shortcuts for tabbed result view
  - One time re-order limit per new connections window to prevent data loss (macOS, #1790)
  - Fix previously broken IPv6 support from command line: robo3t --ipv6

Robo 3T 1.4.2 (Oct/2020)
  Fixes:
  - Fix broken paging in DocumentDB (#1694)

Robo 3T 1.4.1 (Sep/2020)
  Fixes:
  - Force light mode on macOS (#1761, #1768, #1771)  
  - Fix broken macOS native theme/look (#1766)
  - Fix broken Windows native theme/look  

Robo 3T 1.4.0 (Aug/2020)
blog.robomongo.org/robo-3t-1-4/

  New Features:
  - Mongo shell 4.2 upgrade
  - Support for Ubuntu 20.04 and macOS 10.15 (Catalina)  
  - SSH: ECDSA and Ed25519 keys support on Windows & macOS (#1719, #1530, #1590)
  - Manually specify visible databases (#1696, #1368, #389)

  Improvements:
  - Qt Upgrade (v5.12.8 - Apr/2020, Windows & macOS only)
  - OpenSSL upgrade (v1.1.1f - Mar/2020, Windows & macOS only)
  - libssh2 upgrade (v1.9.0 - Jun/2019, Windows & macOS only)

  Fixes:
  - Authentication database option isn't used properly (#1696)
  - Add/Edit index ops fixed (re-written) (#1692) 
  - Crash when expanding admin users (#1728) 
  - Unable to run query after shell timeout reached (#1529)

Robo 3T 1.3.1 (Apr, 2019)
http://blog.robomongo.org/robo-3t-1-3

  New Features:
  - Biggest change in this version is Mongo Shell version upgrade from 3.4 to 4.0.5.
  - Support for importing from DNS SRV based MongoDB connection strings
  - Query results windows now supports tabbed output #1591 #1403
  - Adding support for SCRAM-SHA-256 auth mechanism #1569
  - Support for Ubuntu 18.04 and Mac 10.14.
  - Support for creating version 4 UUID #1554

  Improvements:
    - Encrypted passwords are used in config. file instead of clear text passwords 
    - Showing much better error reason string from Mongo drivers for connection failures

  Fixes:
    - Broken create/edit/view user features fixed and updated #638 #1041
    - Attempt to fix #1547: Crash when right click on existing results plus a new long running query
    - Fix for application crash when adding index with invalid JSON
    - 'Repair Database' in Robo3T needs a confirm dialog box #1568
    - Robo 3T the input space causes connection failure #1551
    - Crash when loading results + right click #1547
    - Attempt to fix major connection problems seen with the second edit/add/remove document operation after MongoDB 4.0 upgrade #1603
    - Attempt to fix #1581: For CRUD ops showing progress bar and disabling context menu while waiting for edit op to finish
    - Fixing UI issue where Functions folder freezing with "Functions..." when fails to refresh
    - Fix for #1529: Pagination does not work when the aggregation queries have dotted fields

Robo 3T 1.3.0 Beta (16 Feb, 2019)
Details: https://github.com/Studio3T/robomongo/releases/tag/v1.3.0-beta

Robo 3T 1.2.1 (19 Feb, 2018)   
http://blog.robomongo.org/robo-3t-1-2
    
  Fixes:
    - Aggregate query results are not pagaeble 
    - Big double numbers are showing incorrectly #1447
    - Editing a document from a projection causes data loss (override) (#881)
    - Error: Resources temporarily unavailable. Error when starting up SSH session: -8 #1426
    - robo3t 1.1 failed to start on Ubuntu 17.04 #1385
    - Robo 3T is not opening on MacOS High Sierra (#1412)
    - Cannot load list of indexes #1454
    - Robo 3T is not buildable on latest MacOS High Sierra
	
  Improvements 
    - Qt version upgraded from Qt 5.7.0 to Qt 5.9.3
    - Auto switch to HTTP from HTTPS if the program crashes due to HTTPS related operations 
    - Improvements for Robo 3T is crashing constantly on High Sierra #1412
    - PR: Improved query time formatting (#1358) #1455
            
Robo 3T 1.2.0 Beta (18 Dec, 2017)   
https://github.com/Studio3T/robomongo/releases/tag/v1.2.0-beta
    
  Improvements & Fixes:
    - Qt version upgraded from Qt 5.7.0 to Qt 5.9.3
    - Fix for "Cannot load list of indexes #1454"
    - Improvements for Robo 3T is crashing constantly on High Sierra #1412
    - PR: Improved query time formatting (#1358) #1455
    - Fix for "Robo 3T is not buildable on latest MacOS vesion High Sierra"
    - Fix attempt for "Error: Resources temporarily unavailable. Error when starting up SSH session: -8 #1426"
    - Fix for "robo3t 1.1 failed to start on Ubuntu 17.04 #1385"      
      
Robo 3T 1.1 (13 June, 2017)
http://blog.robomongo.org/robomongo-1-1/

  New Features:
    - MongoDB 3.4 support
    - New NumberDecimal (Decimal128) data type support
    - ECMAScript 2015 aka ES6 Support (Modernized JavaScript Implementation)
    - Re-naming from Robomongo to Robo 3T

  Improvements & Fixes:
    - Stability Improvements: Fix included to prevent a crash on MACOS Sierra
    - Shell timeout is configurable on UI now 'Options->Change Shell Timeout'
    - Fix for Robomongo Shell Timeout Issue (silently, prematurely finishing long lasting scripts) 
    - Security Improvements: OpenSSL version upgrade to openssl-1.0.1u (22-Sep-2016)
    - Tool chain upgrades: Modern C++14 features are enabled and usable for developers
              
Robomongo 1.1 Beta (12 May, 2017)   
https://github.com/Studio3T/robomongo/releases/tag/v1.1.0-beta
    
  New Features:
    - MongoDB 3.4 Support 
    - New NumberDecimal (Decimal128) data type support
    - ECMAScript 2015 (Modernized JavaScript Implementation aka ES6) Support  
      
  Improvements:
    - Security Improvements: OpenSSL version upgrade to openssl-1.0.1u (22-Sep-2016)
    - Tool Chain Improvements: Modern C++14 features are enabled 

Robomongo 1.0 (21 Apr, 2017)
http://blog.robomongo.org/robomongo-1-0
    
  New Features:
    - Update Notifications Bar
    - Welcome Tab
    - Welcome Wizard

  Improvements:
    - Replica set name configurable on UI
    - Configuration file system location change
    - "About Robomongo" dialog changes
  
  Fixes:
    - Fix to avoid the same set name problem (https://github.com/Studio3T/robomongo/issues/1302)
    - Timestamp value is represented incorrectly (https://github.com/Studio3T/robomongo/issues/1159)
    - Local Timezone shows wrong date (https://github.com/Studio3T/robomongo/issues/501)
    - Time zone shown as "000:00" when UTC +00:00 is used as local timezone(https://github.com/Studio3T/robomongo/issues/1309)
  
Robomongo 1.0-RC1 (1 Feb, 2017)
http://blog.robomongo.org/robomongo-1-rc1/
    
  New Features:
    - Replica set support.
    - New 'Attributes' column in connections list window showing connection properties such as 'Replica Set', 'SSL' and 'SSH'.  
    - New operation logging for almost all operations.

  Improvements:
    - Improved error handling (no double error windows) for all fail and success conditions for the following operations:
      . Create, Drop Database
      . Create, Edit User
      . Create, Drop, Duplicate, Rename Collection
      . Insert Document
      . Remove document, Delete document, Remove all documents (triggered both from explorer and from result widget)
      . Refresh Users
      . Refresh Functions
      . Refresh Collections
      . Connection establish & refresh server fail and success cases.
    - Windows size is saved and restored for Edit, View and Insert Document dialogs.
    - Connections are automatically imported from the latest Robomongo version.
    - Better error reporting/handling and logging have been added for the operations below:
      . Create, Drop Function
      . Drop User
    - More informative and adjusted log level prefix strings haven added for log window. (Error, Warn, Info etc..).
    - After a new connection is created, now the focus goes to the newly created connection (end of list) instead of the 
      beginning of connections list. And when Robomongo is opened, the focus goes to the end of the connection list instead 
      of beginning. 
    - Error messages added and error handling for 'remove document', 'remove all documents' operations triggered explorer 
      and single or multi 'delete document' from results window have been re-implemented and improved.
    - Relevant errors are shown for the following cases now:        
      . Drop attempt of non-existing collection.
      . Duplicating a collection with a collection name which already exists finishes silently.
  
  Fixes:
    - Fix for the problem where the connections list comes empty if the Robomongo config file or it's directory do not exist.
    - Fix for the problem where 'in-progress bar' widget was not centered on main window for "Update Documents/Remove Documents" 
      operations. https://github.com/paralect/robomongo/issues/1256
    - Fix for two problems where the operations 'insert or update documents' in one tab was causing auto reloading of other 
      unrelated tabs and also multiple error windows to popup. https://github.com/paralect/robomongo/issues/1236
    - Fix for the problem where the operations 'remove document', 'remove all documents' triggered explorer and single or 
      multi 'delete document' from results window were causing auto reloading of other unrelated tabs.
        
      
Robomongo 0.9:
  Major Features: 
    - Support for MongoDB 3.x and WiredTiger engine. Robomongo now embeds MongoDB 3.2 shell. 
      (Ability to use the latest shell functionality)
    - SSH tunnel support for connections
    - SSL support 
    - MongoDB Atlas (Cloud MongoDB) support
    - Both MONGODB-CR and SCRAM-SHA-1 authentication mechanisms are supported. 
    - Allow direct connections to Replica Set members and support IPv6 protocol. 
    - Loading of huge list of collections is now faster.
    - Create Collection dialog is now expandable to support all advanced options.
      (Supporting all major mongoDB versions 3.2, 3.0, 2.6 and all storage engine types (WiredTiger 
      and MMAPV1) is added.) 
    - Windows High DPI support.
    - Full size editor with dockable output window.
    
  Fixed:
    - Incorrect representation of floating-point numbers (fixed since RC3). This bug was a reason of a big number of issues:
      #910, #748, #697, #699, #760, #815, #870, #892, 
      #894, #905, #945, #974, #978, #990, #831, #842
    - SSH connection failure to servers on Ubuntu and OS X with the following error:
      "Resource temporarily unavailable. Error when starting up SSH session: -8"  (#1090)     
      
  What's new in 0.9.0 Final (30 Sep, 2016)
  http://blog.robomongo.org/robomongo-0-9-0-final/
  
    New Features:
      - Full size editor with dockable output window.
      - New JSON object context menu items: "Copy Name" and "Copy Path" are added.
      - New database context menu items: "Current Operations" and "Kill Operation" are added.
      - Minimize to Tray Icon for Windows.
        
    Other Changes
      - Cloud platforms Compose, mLab and Amazon EC2 were tested and added as supported platforms.
      - Maximize/Restore result button behavior and icon have been improved.
      - For better code quality and code reviews, Robomongo Code Quality and Robomongo Code Review pages have been created.
        https://github.com/paralect/robomongo/wiki/Robomongo-Code-Review
        https://github.com/paralect/robomongo/wiki/Robomongo-Code-Quality
 
  What's new in RC10 (Aug 8, 2016)
  http://blog.robomongo.org/robomongo-rc10/
  
    New Features:
      - SSL connections with advanced options are now supported.
      - MongoDB Atlas (Cloud MongoDB) is supported.
      - Cross Platform High DPI enhancements. 
    
    Enhancements:
      - For better security, OpenSSL has been upgraded to OpenSSL 1.0.1p.
      - Qt has been updated from Qt 5.5 to latest Qt 5.7. With this update there are many 
        enhancements including cross platform High DPI support.

  What's new in RC9 (May 30, 2016)
  http://blog.robomongo.org/robomongo-rc9/
  
    New Features:
      - Create Collection dialog with advanced options.
      - New feature has been added to save/restore window sizes. (#1102)
      - Connection settings from previous versions of Robomongo are 
        now automatically imported starting from Robomongo 0.9.0 RC9. (#1086)
      - Support for querying documents by UUIDs is added, both in legacy and new encoding. (#432)
       
    Fixed:
      - SSH connection failure to servers on Ubuntu and OS X with the following error:
        "Resource temporarily unavailable. Error when starting up SSH session: -8"  (#1090)
      - Correct handling of create/drop of databases and collections. (#1083)
    
  What's new in RC8 (April 14, 2016)
  http://blog.robomongo.org/robomongo-rc8/
     
  What's new in RC7 (March 4, 2016)
  http://blog.robomongo.org/robomongo-rc7

  What's new in RC6 (February 13, 2016)
  http://blog.robomongo.org/ipv6-protocol

  What's new in RC5 (February 8, 2016)
  http://blog.robomongo.org/campaign-is-over-robomongo-is-not/

  What's new in RC4 (February 1, 2016)
  http://blog.robomongo.org/robomongo-rc4

  What's new in RC3 (January 29, 2016)
  http://blog.robomongo.org/robomongo-0-9-0-rc3-released

  What's new in RC2 (January 26, 2016)
  http://blog.robomongo.org/robomongo-rc2-for-windows-mac-os-x-and-linux
  
  What's new in RC1 (January 17, 2016)
  http://blog.robomongo.org/robomongo-rc1-with-full-support-for-mongodb-3


0.8.5 / March 10, 2015

  Release 0.8.5 is now deprecated because of a critical bug, that is
  described here: http://blog.robomongo.org/robomongo-0-9-0-rc3-released

  We recommend to use Robomongo 0.9.0 or newer.

  * [Stephen Steneker]
    - OS X build fixes for XCode 5 / libc++ (#524)
    - OS X specific keyboard shortcut tips (#505)
    - View documents fail if collection name is "group" (#414)
    - Problem with slash in collection names (#404)
    - Add shortcut to open JS file (#408)
    - Fullscreen mode not working on OS X (#519)
    - Usability request - add initial curly braces to command bar (#506)
    - TTL index should allow expiry of 0 seconds (#500)
    - Add line numbers to JSON editing windows on OS X (#449)
    - Add user preference to have line numbers displayed by default (#564)
    - Space after document causes validation error (#544)
    - Expand current server as soon as you connect to it (#405)
    - Switching tabs using standard keys on OS X (#87)
    - Cannot make the Edit Document Window smaller (#548)
    - Consistent numbering for tree/table/text view items (#421)
    - Reload Query with keyboard shortcut doesn't work (#551)
    - Rename "Reload" to "Re-execute query" (#447)
    - Add "Copy Timestamp from ObjectId" to context menu for ObjectId fields (#559)
    - Bug: Type of Double changed to Int32 on save document (#622)
    - "Duplicate Query In New Tab": add to Window menu with keyboard shortcut (#631)
    - No errors logged if settings directory cannot be created or settings file cannot be written to (#636)
    - Show execution time for operations that don't return results (#455)
    - Disable broken "Copy Collection to Database" misfeature (#398)
  * [Vladimir Belozyorov]
    - View mode reset to default after no results (#509)
    - Comment / uncomment selected code in the shell (#467)
    - Passphrase and password should be hidden in authentication tab (#433)
    - Cursor initialization - place between curly brackets for default find({}) query (#592)
    - Include full date/time for log entries (#596)
    - Option to disable selected code autoexecution when opening a new tab (#514)
    - Tooltip fixes to match current keyboard shortcuts (#598)
    - Expand/collapse multiple selections (#591)
    - Changes in toolbars visibility are saved in config file (#457)
    - Include connection name under shell tabs (#47)
  * [Sergey Gavruk]
    - SettingsManager typo (#558)
    - Ability to disable autocompletion (#512)
  * [Kanstantsin Kamkou]
    - Increase display width for limit & offset input fields (#458)
  * [volans-]
    - CreateUserDialog.cpp: fixed typo in warning message
  * [Andres Kievsky]
    - Added new app icon in a variety of png and iDraw formats (#693)
  * [Michael Steinacher]
    - Retina text display support (#724)

0.8.4 / November 27, 2013

  Read about updates in this version here:
  http://robomongo.org/whats-new-in/robomongo-0.8.4.html

  RC1:
  
  * SSH support (#117)
  * SSL support (first steps) (#100)
  * Create or edit index problem (#341)
  * Regexp error (with non-latin symbols) (#351)
  * Support for latin characters in edit document console (#347)
  * Robomongo fails to execute shell "comments" if the comment contains a non-latin character! (#334)
  * Crash when add ISODate field (#350)
  * Crash at executing several disconnections in a row (#290)  
  * Deleting multiple documents prompts for each document (#386)
  * Connection context menu appears independently of position of Robomongo instance.
  * Crash at pressing "Ctrl+T" without any connection.  
  
  RC2:
  
  * SSH now works on Mac OS X Mavericks (#401)
  * Fixed crash when parsing date (#356)
  
  Final:
  
  * Selected view mode of result panels now preserved between executions. Implemented by Vladimir Belozyorov (github.com/VBelozyorov) (#402)


0.8.3 / October 1, 2013

  Read about updates in this version here:
  http://robomongo.org/whats-new-in/robomongo-0.8.3.html
  
  * Enable query logging (#108)
  * Inserting multiple documents from UI (#173)
  * Removing multiple documents from UI (#174)
  * Retain current view mode when running search (#93, #79)
  * Left panel collections/functions/users navigation doesn't work when authenticating against the DB (#282)
  * A way to disable Alt + number shortcut (#192)
  * Support mongodb 2.4.x style users (#139)
  * Add "Copy JSON" menu item to context menu (#298)
  * JSON list validation (#246)
  * Crash creating new Database (#291)
  * Incorrect handling of TTL Indexes (#313)
  * Add the document _id in the tree view (#142)
  * BSON Undefined type doesn't rendered to string correctly (#306)
  * Entering incorrect symbols as database name isn't handled properly (#262)
  * Ability to select UI theme
  * We now show number of fields (inside objects) and number of items (inside arrays) in Tree View.
  * Support for Mac OS X 10.6 (#287)
  * Support for Mac OS X 10.9 (#254)

  
0.8.2 / September 13, 2013

  Read about updates in this version here:
  http://robomongo.org/whats-new-in/robomongo-0.8.2.html  


0.8.1 / September 6, 2013

  Read about updates in this version here:
  http://robomongo.org/whats-new-in/robomongo-0.8.1.html

  * Table Mode (in this version, only for the first-level fields in documents) (#72)
  * Paging Widget tweaks (#247, #203, #244, #243)
  * ~/.robomongorc.js file is loaded automatically when new shell is opened 
    (c:\Users\Name\.robomongorc.js for Windows)
  * "Load .mongorc.js" menu item in "Options" top-level now allow to enable/disable loading
    of ~/.mongorc.js file. By default it will not load this file.
  * Batch Size now configurable (in this version only manually via ~/.config/robomongo.json)
  * JSON parser doesn't correctly parse numbers when locale isn't en_EN (#246, #253)
  * "Display Dates In" options doesn't saved/loaded correctly (#261)
  * [Linux] Support for CentOS
  * [Linux] Linux packages now takes 2x less space (10mb instead of 20mb)
  * [Windows] Desktop icon isn't created despite corresponding checkbox was checked at installation. (#260)
  * [Windows] Invalid symbols in installer for Windows if display language of system isn't English (#259)
  
  
0.8.0 / August 23, 2013

  Read about updates in this version here:
  http://robomongo.org/whats-new-in/robomongo-0.8.0.html

  * Ability to save and load files for currently opened shell (#96)
  * MongoDB Index management (#74)
  * Expand all children recursively  (#106)
  * Ability to toggle line numbers (press F11) for any editor in Robomongo  (#112)
  * View Mode settings is persisted now (thanks, Luke Thompson!) (#114)
  * Search capability for any editor in Robomongo - press (Ctrl + F) (#32)
  * Timezone support: UTC or Local (#224)
  * Auto-complete on "Tab" (#95)
  * Fixed incorrect handling of Dates (#111)
  * Fixed incorrect handling of collections with leading underscore (_) symbol (#109)
  * Fixed incorrect rendering of float numbers (#115)
  * Fixed incorrect handling of Int64 numbers (#157)
  * Fixed incorrect parsing of DBRef sub-objects (#113)
  * New build system, based on CMake. Greatly simplified build and package process.
  * Qt updated to 5.1 version.
  * QScintilla updated to 2.7.2 version.


0.7.1 / April 13, 2013

  * Fixed crash when right-clicking on non-primitive elements in Tree View (#85)
  * Alt + Cmd + Arrow for switching tabs on Mac (#82)
  * Several minor bugs fixed (including #82)


0.7.0 / April 4, 2013

  * Support for UUIDs (read more: http://robomongo.org/articles/uuids.html)


0.6.9 / April 3, 2013

  * Password is hidden by default (#65)
  * Fixed incorrect rendering of large values for the db.stats() results (#70)
  * Collection names with invalid (for JS var name) characters now rendered correctly (#71)


0.6.8 / April 1, 2013

  * Support for '~/.mongorc.js'
  * Various Mac OS X UI fixes
  * Fixed crash when pressing Ctrl + W (#60)
  * "Copy Value" context menu item for documents in Tree View


0.6.7 / March 26, 2013

  * Fixed creation of new tabs based on the current one. Before this fix initial 
    database for new tab wasn't identical to the "parent". (#56)
  * Support for collections that starts from digits (#54)
  * [Sergey Gavruk] Duplicate Collection feature (Collection -> Duplicate Collection
  * Collection -> Reindex  will not run immediately, as before
  * Fixed incorrect disposing of tabs resources (connections etc.) (#42)
  * [Stephen Steneker] Fixed KeepAlive invalid commands, when not authorised (#41) 
  * [Sergey Gavruk] Various Mac OS X UI fixes.


0.6.6 / March 23, 2013

  * Fixed possible crash when viewing results in text mode (#34)
  * Fixed possible crash when testing connection (Diagnostic window)
  * Memory leak in explorer's database tree fixed.


0.6.5 / March 17, 2013

  * Fixed "Dropped connection" issue (#28).
  * Windows Installer now be used to destribute Robomongo.


0.6.4 / March 10, 2013

  * Support for JS functions. Create/Edit/Remove/View.
  * Loading indicators (three dots for now) for Server, Collections, Functions and Users.
  * Count indicators for Server (number of databases), Collections, Functions and Users.
  * No need to type "functionName.toString()". You can output source of function 
    by simply typing its name (like in the shell).
  * Support for RegEx, Code and CodeWScope bson elements. But you still cannot edit 
    documents which contains Code or CodeWScope bson elements.
  * About dialog added.  


0.6.3 / March 5, 2013

  * Script execution can be stopped (this works only for JS code in SpiderMonkey VM) (#23)
  * Toolbar buttons shown only if needed (#21, #20)
  * MongoDB Connections window opens when application starts.
  * Some changes in menu items locations (#25, #26)
  * View Mode buttons moved to Options menu.
  * Full Screen and Logs functionality hidden right now (postponed for versions after Robomongo 1.0)
  

0.6.2 / March 4, 2013

  * "Users" folder now shows list of users.
  * User can be added (Database -> Add User)
  * User can be edited (User -> Edit User)
  * User can be removed (User -> Remove Users)
  * Users can be refreshed (Users (folder) -> Refresh Users)
  * List of users can be viewed in the shell (Users (folder) -> View Users)


0.6.1 / March 2, 2013

  * Minor script editor and viewer tweaks
  

0.6.0 / Feb 28, 2013

  * Database can be created from UI (Server -> Create Database)
  * Database can be dropped from UI (Database -> Drop Database)
  * Collection can be created from UI (Database -> Create Collection)
  * Collection can be dropped from UI (Collection -> Drop Collection)
  * Collection can be renamed from UI (Collection -> Rename Collection)
  * All documents can be removed from UI (Collection -> Remove All Documents)
  * Minor tweaks in naming of context menu items.


0.5.7 / Feb 27, 2013

  * Support for Custom View Modes. First custom view implemented for "db.printCollectionStats()" query. You 
    still can view multiple output results, even if one of them presented in custom mode.
  * "Show Log" context menu item for servers in Explorer.


0.5.6 / Feb 26, 2013

  * Support for one-line MongoDB commands ("show dbs", "show collection", "use somedb" etc.). This commands can
    be repearted (this will result in multiple output results) or they can be used together with ordinary JavaScript.
    The only rule: this command should be the only text on the line, starting from the very beginning of the line. 
  * Refresh of databases and collections via "Refresh" context menu item.
  * This version of Robomongo is the first version compiled in release mode. It works much more faster and uses lower 
    amount of memory.
    

0.5.5 / Feb 22, 2013

  * New document can be added in a more user friendly way. There are two ways to do it:
    1) Right-click on collection in Explorer and select "Insert Document"
    2) Right-click at any place of Tree View and select "Insert Document"
  * Better formatting of JSON with correct indention.
  * Support for ISODate(...) factory function in JSON parser and builder. Date in JSON mode now always 
    displayed as ISODate(...), like in the shell. Document Editor accepts dates in two forms:
    as "new Date(<millisecs>)" and "ISODate(<iso_8601_date_string>)" (this behaviour identical to MongoDB shell behaviour)
  * Document editor implemented. Right-click on document in Tree View and select "Edit".
  * Document viwer implemented. Right-click on document in Tree View and select "View".
  * You can delete selected document in Tree View. (Right-click and select "Delete")
  * Validation of JSON in Document Editor/Viewer with error report, highlighting of errors and 
    cursor positioning just where error is.
  * Fixed problem with "signed" dates (dates before Unix Epoch) (#5)
  * Fixed problem with UTF-8 (#17)
  * Fixed problem with loading indicator in Explorer (#18)


0.5.2 / Jan 26, 2013
  
  In this version autocompletion in Robomongo becomes mostly usable.

  * AutoCompletion box now placed just near text you typed (in correct line and column)
  * AutoCompletion now works in the middle of the text (not only at the end of line, as before)
  * Ctrl + Space will trigger autocompletion for symbols under cursor. 
  * If you select function in autocompletion box, their open parenthesis will overwrite existing in the text, if such available.


0.5.1 / Jan 24, 2013

  * Several autocompletion tweaks.


0.5.0 / Jan 24, 2013

  * AutoCompletion. First version.
  * Progress indicator for shells.
  * Shell result panels now have equal size, if this is possible.
  * Code cleanuped a bit.


0.4.6 / Jan 11, 2013

  * Tooltip for collections with count and size.


0.4.5 / Jan 8, 2013

  * WARNING: configuration file schema changed. Some properties will be 
    empty in Connection Settings Dialog. Please fill them again.

  * Connection test (diagnostic) implemented.
  * Indicators in the shell: current server, database and collection (if available)
    This indicators are "real" - they respect your actual query.
  * Execution time measurement. Displayed for each individual output result.
  * Paging for each output result with respect to filtering, ordering, fields, 
    limit, skip etc. of actual text query (pilot version).
  * Connection cloning support in Connections Dialog.  
  * Databases and collections now displayed in sorted order.
  * Batch size extended to 50 documents.
  * New shape of Shells.  
  * New shape of Connection Settings Dialog
  * New shape of Connections Dialog.  


0.4.0 / Dec 26, 2012

  * No more "type 'it' for more results" when we have more than 20 objects in collection.
  * Two global modes added - text and tree modes. Switch between them using F3 and F4.
  * Two local modes added - text and tree modes. Switch between them using small 
    icons on Output panels for each resultset.
  * Improved performance of json creation (from list of documents). 
  * Tooltips for tool buttons added.
  * Maximization of output panel implemented (via small icon at the top right of output panel) 
    Click second time to restore back.
  * Fix for not working Ctrl-O key shortcut (that opens Connections menu).
  

0.3.5 / Dec 25, 2012

  * Context menu for server, database and collection.
  * Tab management (Ctrl+Tab, Ctrl+Shift+Tab, Ctrl+T, Ctrl+F4)
  * Context menu for tab
  * Submenu for Connect button with connections.
  * Hotkeys for first 9 connections (Alt+1, ..., Alt+9)
  * Connections reordering via drag'n'drop in Connections dialog.
  * Correct focus placement when opening new connection and switching tabs.
  * Bonus: F12 - opens connections menu from any place.
  * Memory leaks fix.
